Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Add subscription
        • Get subscription by id
        • Update subscription
        • Delete subscription by id
        • Get subscription list
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • SubscriptionRecipient
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Subscriptions
  4. Get subscription by id
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • SubscriptionRecipient

Get subscription by id

Returns the specified subscription.

RequestRequest

POST

https://api.datalens.tech/rpc/getSubscription

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "subscriptionId": "7lieexzx4kxs0"
}

Name

Description

subscriptionId

Type: string

Min length: 1

Pattern: ^[a-zA-Z0-9._:-]+$

Example: 7lieexzx4kxs0

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "title": "example",
  "description": "example",
  "content": {
    "type": "example",
    "entryId": "example",
    "options": {}
  },
  "trigger": {
    "type": "example",
    "entryId": "example",
    "options": {}
  },
  "artifact": {
    "type": "example",
    "options": {}
  },
  "recipients": [
    {
      "subjectId": "example",
      "subjectType": "userAccount"
    }
  ],
  "selfSubscribeEnabled": true,
  "status": "active",
  "tenantId": "example",
  "workbookId": "example",
  "meta": {},
  "subscriptionId": "example",
  "createdAt": "example",
  "updatedAt": "example",
  "suspendedAt": "example",
  "createdBy": "example",
  "updatedBy": "example"
}

Name

Description

artifact

Type: object

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "options": {}
}

content

Type: object

entryId

Type: string

Example: example

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "entryId": "example",
  "options": {}
}

createdAt

Type: string

Example: example

createdBy

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

recipients

Type: SubscriptionRecipient[]

Example
[
  {
    "subjectId": "example",
    "subjectType": "userAccount"
  }
]

selfSubscribeEnabled

Type: boolean

status

Type: string

Enum: active, stopped, suspended

subscriptionId

Type: string

Example: example

suspendedAt

Type: string | null

Example: example

tenantId

Type: string

Example: example

title

Type: string

Example: example

trigger

Type: object

entryId

Type: string | null

Example: example

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "entryId": "example",
  "options": {}
}

updatedAt

Type: string

Example: example

updatedBy

Type: string

Example: example

workbookId

Type: string

Example: example

description

Type: string | null

Example: example

SubscriptionRecipientSubscriptionRecipient

Name

Description

subjectId

Type: string

ID of the recipient user account.

Example: example

subjectType

Type: string

Recipient subject type. Only user accounts are supported.

Const: userAccount

Example: example

Example
{
  "subjectId": "example",
  "subjectType": "userAccount"
}

Была ли статья полезна?

Предыдущая
Add subscription
Следующая
Update subscription
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»